Bug 1578021 - [RFE] enable high availability when using ovirt compute resource
Summary: [RFE] enable high availability when using ovirt compute resource
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-14 16:10 UTC by pm-sat@redhat.com
Modified: 2019-05-14 12:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-14 12:37:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37 UTC
Foreman Issue Tracker 17136 None None None 2018-05-14 16:10 UTC

Description pm-sat@redhat.com 2018-05-14 16:10:43 UTC
We have foreman/katello attached to ovirt. When I provision a VM, I still have to edit the VM in oVirt to set the high availability settings.

It would be nice to set this using the Host Group and maybe add a "Deploy on" field so we can choose between bare

Comment 1 pm-sat@redhat.com 2018-05-14 16:10:47 UTC
Created from redmine issue http://projects.theforeman.org/issues/17136

Comment 2 pm-sat@redhat.com 2018-05-14 16:10:49 UTC
Upstream bug assigned to mshira@redhat.com

Comment 4 pm-sat@redhat.com 2018-08-08 10:08:19 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/17136 has been resolved.

Comment 6 Lukáš Hellebrandt 2019-01-02 13:27:11 UTC
Verified with Sat 6.5 snap 9.

When creating a host: it is possible to select whether it will be HA or not and it has effect on the VM in RHEV

When importing a host: the HA field is correctly pre-filled in the import dialogue based on value in VM in RHEV

When associating the host: the HA field is filled correctly for the existing host based on value in VM in RHEV

Comment 9 errata-xmlrpc 2019-05-14 12:37:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.